/***************************************************************************
                   Utility function Header ( ConvertVolumeInfo.h )
                -----------------------------------------

	begin      : 2013/03/14
	copyright  : (C) 2013 Solbox Inc.
	author     : Development 1 Team
					- 2013/03/14 - 1st dadamin
	email      : dev1@solbox.com
	version    : 3.2.0

	CopyRight(C) 2005 Solbox Inc. All Rights reserved.
	Redistribution and use in source and binary forms, with or with out
	modification, are not permitted in outside of Solbox Inc.
***************************************************************************/
#ifndef __UTILITY_FUNCTION_H__
#define __UTILITY_FUNCTION_H__

uint64_t GetTimeStamp();

void StringSplit(string str, string delim, vector<string> &results);
void StringSplitEx(string str, char delim, vector<string> &results);

string p_name(string const & path);
void solusleep(unsigned long usec);

#endif // __UTILITY_FUNCTION_H__
